Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynAny_i Class Reference

Implementation of the basic Dynamic Any datatype. More...

`#include <DynAny_i.h>`

Inheritance diagram for TAO_DynAny_i:

[legend]
Collaboration diagram for TAO_DynAny_i:

[legend]
List of all members.

## Public Methods
| TAO_DynAny_i (void)
| Constructor. More...
| ~TAO_DynAny_i (void)
| Destructor. More...
void | init (CORBA_TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Initialize using just a TypeCode. More...
void | init (const CORBA_Any &any ACE_ENV_ARG_DECL)
| Initialize using an Any. More...
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynAny_i * | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
void | check_typecode (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Check if the typecode is acceptable. More...
void | set_to_default_value (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Used when we are created from a typecode. More...
void | init_common (void)
| Called by both versions of init(). More...
| TAO_DynAny_i (const TAO_DynAny_i &src)
TAO_DynAny_i & | operator= (const TAO_DynAny_i &src)

## Detailed Description

Implementation of the basic Dynamic Any datatype.

## Constructor & Destructor Documentation

TAO_DynAny_i::TAO_DynAny_i | ( | void |  | ) |

| Constructor.

TAO_DynAny_i::~TAO_DynAny_i | ( | void |  | ) |

| Destructor.

TAO_DynAny_i::TAO_DynAny_i | ( | const TAO_DynAny_i & | src | ) | `[private]`

## Member Function Documentation

TAO_DynAny_i * TAO_DynAny_i::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

void * TAO_DynAny_i::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynAny_i::check_typecode | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[private]`

| Check if the typecode is acceptable.

DynamicAny::DynAny_ptr TAO_DynAny_i::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynAny_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynAny_i::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual void TAO_DynAny_i::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynAny_i::init | ( | const CORBA_Any &any | ACE_ENV_ARG_DECL | ) |

| Initialize using an Any.

void TAO_DynAny_i::init | ( | CORBA_TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

| Initialize using just a TypeCode.

void TAO_DynAny_i::init_common | ( | void |  | ) | `[private]`

| Called by both versions of init().

TAO_DynAny_i& TAO_DynAny_i::operator= | ( | const TAO_DynAny_i & | src | ) | `[private]`

void TAO_DynAny_i::set_to_default_value | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[private]`

| Used when we are created from a typecode.

CORBA::Any_ptr TAO_DynAny_i::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

The documentation for this class was generated from the following files:

- DynAny_i.h
- DynAny_i.cpp